Irccd test plan
===============

Use this file to test irccd in several ways where it can not be unit tested.

Template:

Action:
Expected:
Status:
Remarks:

Status:

  - Ok,
  - Incorrect.

## Irccd command line options

Action: -f must run in foreground and override configuration file (*)
Expected: irccd does not go to background
Status: Ok
Remarks:

Action: -v must enable more messages
Expected: more messages appear
Status: Ok
Remarks:

Action: -c must use the specified configuration file
Expected: irccd loads the specified file
Status: Ok
Remarks:

(*) has no effect on Windows.

## Irccdctl command line options

Action: specifying -t must connect to the command line arguments, not the configuration
Expected: even if the configuration has a `[connect]`, irccdctl must connect to the command line arguments
Status: Ok
Remarks:

Action: -v must enable more messages
Expected: more messages appear
Status: Ok
Remarks:

## Irccdctl aliases

Action: Given `x = ""`, the alias must not be loaded
Expected: error
Status: Ok
Remarks:

Action: Given `x = "plugin-load %0"` typing `irccdctl x` should throw an error because argument is missing
Expected: error
Status: Ok
Remarks:

Action: Given `x = ( "plugin-unload %0", "plugin-load %0" )` typing `irccdctl x ask` should unload and load ask
Expected: ask is unloaded and then loaded
Status: Ok
Remarks:

Action: Given `x = "server-connect -n bertrand %1 %0"`, typing `irccdctl x host id` should execute `irccdctl server-connect -n bertrand id host`
Expected: the `id` and `host` paremeters are inverted thanks to %1 and %0
Status: Ok
Remarks:

Action: Given `x = "server-connect %0 %0"`, typing `irccdctl x localhost 7000` should execute `irccdctl server-connect localhost localhost 7000`
Expected: irccd tries to connect to localhost (id localhost too) on port 7000
Status: Ok
Remarks:
